RTADVCTL(8)

NAME
rtadvctl - control program for rtadvd(8) daemon

SYNOPSIS
rtadvctl [-v] subcommand [interface ...]

DESCRIPTION
rtadvctl is a utility that communicates with rtadvd(8) daemon and displays information about Router Advertisement messages being sent on each interface.

This utility provides several options and subcommands. The options are as follows:

-v  Increase verbosity level. When specified once, the rtadvctl utility shows additional information about prefixes, RDNSS, and DNSSL options. When given twice, it additionally shows information about inactive interfaces and some statistics.

The subcommands are as follows:

reload [interfaces...]
    Specifies to reload the configuration file. If one or more interface is specified, configuration entries for the interfaces will be reloaded selectively.

enable interfaces...
    Specifies to mark the interface as enable and to try to reload the configuration entry. This subcommand is useful for dynamically-added interfaces.

    The rtadvd(8) daemon marks an interface as enable if the interface exists and the configuration file has a valid entry for that when it is invoked.

disable interfaces...
    Specifies to mark the interface as disable.

shutdown
    Makes the rtadvd(8) daemon shut down. Note that the rtadvd(8) daemon will send several RAs with zero lifetime to invalidate the old information on each interface. It will take at most nine seconds.

show [interfaces...]
    Displays information on Router Advertisement messages being sent on each interface.

SEE ALSO
rtadvd.conf(5), rtadvd(8)

HISTORY
The rtadvctl command first appeared in FreeBSD 9.0.

AUTHORS
rtadvctl was written by Hiroki Sato <hrs@FreeBSD.org>.